Package org.h2.util

# Class DateTimeTemplate

java.lang.Object
org.h2.util.DateTimeTemplate

public final class DateTimeTemplate extends Object
Date-time template.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DateTimeTemplate.FieldType`

## Method Summary

Modifier and Type
Method
Description
`String`
`format(Value value)`
`static DateTimeTemplate`
`of(String template)`
`Value`
`parse(String string, TypeInfo targetType, CastDataProvider provider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### of

public static DateTimeTemplate of(String template)

### format

public String format(Value value)

### parse

public Value parse(String string, TypeInfo targetType, CastDataProvider provider)